Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ThermostatFanMode (grizzly v7.4.2)

"ThermostatFanMode" Command Class

What type of commands does this command class support?

# Summary

## Types

mode()

## Functions

decode_mode(byte)
encode_mode(atom)

# Types

Link to this type

# mode()

View Source

    @type mode() ::
      :auto_low
      | :low
      | :auto_high
      | :high
      | :auto_medium
      | :medium
      | :circulation
      | :humidity_circulation
      | :left_right
      | :up_down
      | :quiet
      | :external_circulation

# Functions

Link to this function

# decode_mode(byte)

View Source

    @spec decode_mode(byte()) :: {:ok, mode()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_mode(atom)

View Source

    @spec encode_mode(mode()) :: byte()